org.apache.ignite.internal.processors.cache.persistence.snapshot

## Interface SnapshotDiscoveryMessage

All Superinterfaces:
  DiscoveryCustomMessage, Serializable

    public interface SnapshotDiscoveryMessage
    extends DiscoveryCustomMessage

Initial snapshot discovery message with possibility to trigger exchange.

### Method Summary

Methods
`boolean` `needExchange()` Is exchange needed after receiving this message.

### Methods inherited from interface org.apache.ignite.internal.managers.discovery.DiscoveryCustomMessage

`ackMessage, id, isMutable`

### Method Detail

#### needExchange

    boolean needExchange()

Is exchange needed after receiving this message.

Returns:
  True if exchange is needed, false in other case.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017